#
#  ----->>>   root libraries
#

ROOTVER    =  `root-config --version`
ROOTLIBS   =  `root-config --libs`
ROOTGLIBS  =  `root-config --glibs`
ROOTCFLAGS =  `root-config --cflags`

#
#  compiler flags
#

DEFINES	  = -D__MARS__ -DROOTVER=\"$(ROOTVER)\" $(ARCHDEF)

CXXFLAGS  = $(ROOTCFLAGS) $(INCLUDES) $(OPTIM) $(DEBUG) $(DEFINES)
CFLAGS    = $(CXXFLAGS)
FFLAGS    = $(CXXFLAGS)

